close all;                               % 모든 생성된 창을 닫음 
clear all;                               % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                     % 명령(command) 창을 비움

k=0:30;                                  % 주파수축(고조파의 차수)을 설정함
for n=1:2:29
   ck(n)=sinc(n/2);                      % 간결형 삼각 함수 형식 푸리에 계수 계산
   ck(n+1)=0;                            % 푸리에 계수의 짝수항 설정  
end 
ck=[0.5 ck];                             % 직류항 포함한 푸리에 계수 설정
subplot(2,1,1);                          % 2행 1열 분할 그림 창의 1번 창
stem(k,abs(ck));                         % 진폭 스펙트럼을 그림
title('\bf{진폭 스펙트럼}');              % 그림 제목
xlabel('\bf{k}'); grid on;               % x축 라벨 및 그리드 표시 
subplot(2,1,2);                          % 2행 1열 분할 그림 창의 2번 창
stem(k,angle(ck));                       % 위상 스펙트럼을 그림
title('\bf{위상 스펙트럼}');              % 그림 제목
xlabel('\bf{k}'); grid on;               % x축 라벨 및 그리드 표시